#!/usr/bin/python

from googlecode import encode_upload_request
from os.path import exists
from optparse import OptionParser

import httplib
import sys

fields = [
    ('MAX_FILE_SIZE', '100000000'),
    ('openwesubmit', 'Process File'),
]

opts = OptionParser()
opts.add_option('--user', '-u', help='your warcraftrealms.com username')
opts.add_option('--pw', '-p', help='your warcraftrealms.com password')

options, arguments = opts.parse_args()

if options.user:
    if not options.pw:
        sys.stderr.write("password must be provided with username\n")
        sys.exit(1)
    
    fields += [('user', options.user), ('pw', options.pw)]

if len(arguments) == 0:
    sys.stderr.write("account name missing\n")
    sys.exit(1)

print "Uploading data for %s..." % arguments[0]
account = arguments[0].upper()
lua = '/Applications/World of Warcraft/WTF/Account/%s/SavedVariables/CensusPlus.lua' % account

if not exists(lua):
    sys.stderr.write("CensusPlus.lua not found, aborting\n")
    sys.exit(1)

content_type, body = encode_upload_request(fields, lua)

headers = { 'Content-type': content_type }

conn = httplib.HTTPConnection('www.warcraftrealms.com:80')
conn.request('POST', '/uniupload.php', body, headers)
resp = conn.getresponse()
conn.close()

print resp.status, resp.reason
print resp.read()
